body {
	display: grid;
	grid-template-columns: 350px auto;
	height: 100vh;
	margin: 0px;
	font-family: sans-serif;
	color: white;
	background-color: hsl(225, 30%, 26%);
}

body > * {
	overflow-y: scroll;
}

#sidepanel {
	background-color: rgb(65, 48, 48);
	display: flex;
	flex-direction: column;
	align-items: center;
	margin-right: 50px;
	box-shadow: 5px 0px 15px 0px black;
	height: 100vh;
}

#headshot {
	border-radius: 100%;
	border: 5px solid hsl(225, 30%, 80%);
	background-color: hsl(225, 30%, 80%);
	width: 200px;
}

*:hover > .arrow {
	
}

.arrow {
	height: 1em;
	display: inline-flex;
	align-items: center;
}

.arrow > img:nth-child(2) {
	margin-left: -30px;
	margin-right: 20px;
	transition: margin 0.1s;
}

*:hover > .arrow > img:nth-child(2), .currentpage > .arrow > img:nth-child(2) {
	margin-left: -15px;
	margin-right: 5px;
}

a {
	color: white;
	text-decoration: none;
}

a:not(:has(> .arrow)) {
	background-image: linear-gradient(transparent 0%, transparent 50%, orange 50%, orange 100%);
	background-size: 100% 200%;
	background-position: 0px -5px;
	transition: background-position 0.1s;
	font-weight: bold;
}

a:not(:has(> .arrow)):hover {
	background-position: 0px -10px;
}

#mainnav > a {
	margin-top: 5px;
	margin-bottom: 5px;
	display: inline-block;
}

#main > p, #main > h2, #main > h3, #main > ul {
	max-width: 600px;
	margin-left: auto;
	margin-right: auto;
}

#main > p {
	line-height: 1.7em;
}

#main > h2 {
	border-bottom: 1px solid white;
	padding: 20px;
	box-sizing: border-box;
}

#unfolder {
	display: none;
}

#unfolder input {
	display: none;
}

.twopanel {
	display: flex;
	flex-direction: row;
	align-items: center;
	max-width: 1100px;
	margin-left: auto;
	margin-right: auto;
}

.twopanel > * {
	margin: 20px;
}

.twopanel > img {
	width: 50%;
	flex-grow: 1;
	flex-shrink: 0;
}

@media (max-width: 1000px) {
	.twopanel {
		flex-direction: column;
	}

	.twopanel > img {
		width: 100%;
	}

	#unfolder {
		display: inline-block;
		width: 30px;
		height: 30px;
		background-color: rgb(65, 48, 48);
		border-top-right-radius: 10px;
		border-bottom-right-radius: 10px;
		position: absolute;
		left: 100%;
		margin-top: 20px;
		z-index: 20;
	}
	#unfolder::after {
		content: "»";
		font-size: 2em;
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -0.8em);
	}
	#unfolder:has(> input:checked)::after {
		content: "«";
	}
	body {
		padding-left: 20px;
		grid-template-columns: auto;
	}
	#sidepanel {
		overflow: visible;
		width: 300px;
		position: absolute;
		left: -290px;
		top: 0px;
		transition: left 0.3s;
		z-index: 10;
	}
	#sidepanel:has(> #unfolder > input:checked) {
		left: 0px;
	}
	#main {
		margin-left: 30px;
		margin-right: 30px;
	}
}
